Bug 1516970 - synaptics dependency removes xorg-x11-drivers rpm
Summary: synaptics dependency removes xorg-x11-drivers rpm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drivers
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
Jana Heves
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 17:23 UTC by Oliver Ilian
Modified: 2018-04-18 10:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Synaptics dependency removes _xorg-x11-drivers_ Later releases of Red Hat Enterprise Linux 7 contain the `xorg-x11-drv-libinput` driver for X, which can potentially provide a superior experience for some input devices. Users attempting to switch to `xorg-x11-drv-libinput` can try removing the `xorg-x11-drv-synaptics` driver, which is required by the _xorg-x11-drivers_ package. However, removing synaptics requires removing _xorg-x11-drivers_. To work around this issue, remove _xorg-x11-drivers_. This package exists only to install a reasonable collection of drivers at system setup time, and removing it has no runtime impact. Any X driver already installed will be updated as expected.
Clone Of:
Environment:
Last Closed: 2018-04-18 10:14:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Oliver Ilian 2017-11-23 17:23:50 UTC
Description of problem:
When switching from synaptics to libinput the removal from xorg-x11-drv-synaptics removes xorg-x11-drivers, leaving all the installed xorg-x11-drv rpms without a dependency.

Please allow xorg-x11-drivers to also consider the installed xorg-x11-libinput rpm.

Version-Release number of selected component (if applicable):
RHEL 7.4

How reproducible:
always

Steps to Reproduce:
1. perform a standard RHEL 7.4 install 
3. yum install xorg-x11-drv-libinput
4. yum remove xorg-x11-drv-synaptics

Actual results:
xorg-x11-drivers is removed, leaving all installed xorg-x11-drv* rpms without dependency 

Expected results:
xorg-x11-drivers also accepts the installed xorg-x11-drv-libinput

Additional info:

Comment 10 Adam Jackson 2018-02-19 15:07:46 UTC
(In reply to Jiri Koten from comment #6)
> AFAIK if we remove xorg-x11-drv-synaptics then there is no default driver
> installed for touchpads/trackpads which is a problem on clean install and
> probably also on install img.

That shouldn't be true. evdev is still installed by default and knows what touchpads are. Granted it's not as _good_ at driving touchpads as synaptics is, so this probably should be reverted.

I think we can just drop this build from the errata; I'll update the spec in git to revert the change as well.


Note You need to log in before you can comment on or make changes to this bug.